Description: Disable the failing tests
Forwarded: not-needed
Bug: https://bugreports.qt-project.org/browse/QTBUG-35662
Bug-Ubuntu: https://launchpad.net/bugs/1261411
Author: Omer Akram <om26er@ubuntu.com>

[sunweaver] 20200312: tst_qservicemanager_ipc disablement removed. Tests now work.

=== modified file 'tests/auto/serviceframework/qremoteserviceregister/tst_qremoteserviceregister.cpp'
--- a/tests/auto/serviceframework/qremoteserviceregister/tst_qremoteserviceregister.cpp
+++ b/tests/auto/serviceframework/qremoteserviceregister/tst_qremoteserviceregister.cpp
@@ -216,6 +216,7 @@
 
 void tst_QRemoteServiceRegister::tst_instanceClosed()
 {
+    QSKIP("QTBUG-35662: fails due to missing /etc/machine-id");
     qRegisterMetaType<QRemoteServiceRegister::Entry>("QRemoteServiceRegister::Entry");
     if(!servicePublished)
         serviceRegister->publishEntries("qt_sfw_example_rsr_unittest");
--- a/tests/auto/serviceframework/servicedeletion/tst_servicedeletion.cpp
+++ b/tests/auto/serviceframework/servicedeletion/tst_servicedeletion.cpp
@@ -103,6 +103,7 @@
 
 void tst_QServiceDeletion::publishService()
 {
+    QSKIP("LP: #1261411 fails due to missing /etc/machine-id");
     QRemoteServiceRegister *serviceRegister = new QRemoteServiceRegister(this);
 
     QString serviceName = "TestService";
